//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// WFX satellite library | Author: Sergei Y.Kitáev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;

using WF = System.Windows.Forms;

using CommonHelpers;

namespace WFX {

//**************************************************************************************************
partial class AppWaiting {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static bool ReportError(string errorMessage)
{
   return ReportError( (WF.IWin32Window)null, errorMessage );
}

public static bool ReportError(Exception e)
{
   return ReportError( (WF.IWin32Window)null, e );
}

//--------------------------------------------------------------------------------------------------

public static bool ReportError(string errorMessage,bool skipSuppressBackOff)
{
   return ReportError( (WF.IWin32Window)null, errorMessage, skipSuppressBackOff );
}

public static bool ReportError(Exception e,bool skipSuppressBackOff)
{
   return ReportError( (WF.IWin32Window)null, e, skipSuppressBackOff );
}

//==================================================================================================

public static bool ReportError([HOptional] WF.IWin32Window owner,string errorMessage)
{
   return ReportError( (ShowMessageExtraInfo)null, owner, errorMessage );
}

public static bool ReportError([HOptional] WF.IWin32Window owner,Exception e)
{
   return ReportError( (ShowMessageExtraInfo)null, owner, e );
}

//--------------------------------------------------------------------------------------------------

public static bool ReportError( [HOptional] WF.IWin32Window owner,
                                string errorMessage,
                                bool skipSuppressBackOff )
{
   return ReportError( (ShowMessageExtraInfo)null, owner, errorMessage, skipSuppressBackOff );
}

public static bool ReportError( [HOptional] WF.IWin32Window owner,
                                Exception e, bool skipSuppressBackOff )
{
   return ReportError( (ShowMessageExtraInfo)null, owner, e, skipSuppressBackOff );
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // AppWaiting
//**************************************************************************************************

} // WFX
